
/*////////////////////////////////////////////////////////////////////////////
    PROJECT:    APRS Transmitter
    COPYRIGHT    2009 Dean J. Boman

    FILE:       TypeDef.h
    AUTHOR:     Dean J. Boman

    OVERVIEW:
		This include file contains commonly used data types

    REVISION HISTORY:

    Dec. 14, 2009	Initial development based on Solar System code base



*/////////////////////////////////////////////////////////////////////////////

#ifndef TYPEDEF_H
#define YPEDEF_H

	//Define commonly used data types

	typedef unsigned char uint8;
	typedef char int8;
	typedef unsigned int uint16;
	typedef int int16;
	typedef unsigned long uint32;
	typedef long int32;
	typedef unsigned char boolean;

	#define FALSE 0
	#define TRUE 1

	//Define real time variable
	typedef struct 
	{
		uint8 Second;
		uint8 Minute;
		uint8 Hour;
		uint8 Month;
		uint8 Day;
		uint8 Year;
	} TIME;

#endif